#ifndef _CONSTANT_NODE_H_
#   define _CONSTANT_NODE_H_

#include "Node.h"

class ConstantNode : public Node
{
   public:
      ConstantNode(double theValue);

      ~ConstantNode();

      double evaluate() const;

      ostream &print(ostream &out) const;

      Node *copy() const;

      void accept(Visitor &) const;

   private:
      ConstantNode(const ConstantNode &);
      ConstantNode &operator=(const ConstantNode &);

      double mValue;
};

#endif
