#ifndef _UNARY_NODE_H_
#   define _UNARY_NODE_H_

#include "Node.h"

class UnaryNode : public Node
{
   public:
      UnaryNode(const Node *theNode);

      ~UnaryNode();

      double evaluate() const;

      ostream &print(ostream &out) const;

      Node *copy() const;

      void accept(Visitor &) const;

   private:
      UnaryNode(const UnaryNode &);
      UnaryNode &operator=(const UnaryNode &);

      const Node *mNode;
};

#endif
